%define name gst-editor
%define major 0
%define libname %mklibname gst-editor %major
%define gstversion 0.6.0

Summary: 	GStreamer streaming media editor and GUI tools
Name: 		%name
Version: 	0.5.0
Release: 	3mdk
URL:		http://www.gstreamer.net/apps/gst-editor/
License: 	LGPL
Group: 		Video
Source: 	%{name}-%{version}.tar.bz2
Source1:	gst-editor-16.png
Source2:	gst-inspect-16.png
Source3:	gst-launch-16.png
Source4:	gst-editor-32.png
Source5:	gst-inspect-32.png
Source6:	gst-launch-32.png
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
Requires:	gstreamer >= %gstversion
BuildRequires: 	libxml-devel >= 1.8.0
BuildRequires:	libgnomeui2-devel >= 1.109.0
BuildRequires:	libgstreamer-devel >= %gstversion
BuildRequires:	libglade2.0-devel >= 2
BuildRequires:	scrollkeeper

%description
This package contains gst-editor and a few graphical tools.
gst-editor is a development tool for graphically creating
applications based on GStreamer.
gst-launch-gui is an extension of gst-launch allowing you to dynamically
turn on logging domains.
gst-inspect-gui is a graphical element browser.

%package -n %libname
Group:		System/Libraries
Summary:	Shared libraries of the GStreamer editor
%description -n %libname
This contains the shared libraries needed to run GStreamer editor or
derived apps.

%package -n %libname-devel
Summary: 	Development headers for the Editor
Group:          Development/C
Requires:       %{libname} = %{version}-%release
Provides:	libgst-editor-devel = %name-%version
Requires: 	libxml-devel >= 1.8.0
Requires:	libgnomeui2-devel >= 1.109.0
Requires:	libgstreamer-devel >= %gstversion
Requires:	libglade2.0-devel >= 2


%description -n %libname-devel
This package provides the necessary development libraries and include
files to allow you to embed the editor in other applications or call upon its
functionality.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name} 
?package(%{name}): command="%name" icon="%name.png" longtitle="GStreamer Editor" title="Gst-editor" needs=x11 section="Multimedia/Video"
?package(%{name}): command="gst-launch-gui" icon="gst-launch.png" longtitle="GStreamer launcher" title="Gst-launch" needs=x11 section="Multimedia/Video"
?package(%{name}): command="gst-inspect-gui" icon="gst-inspect.png" longtitle="GStreamer Inspector" title="Gst-inspect" needs=x11 section="Multimedia/Video"

EOF
mkdir -p %buildroot/{%_liconsdir,%_miconsdir,%_iconsdir} 
ln -s %{_datadir}/pixmaps/gst-editor.png %buildroot/%_liconsdir
ln -s %{_datadir}/pixmaps/gst-inspect.png %buildroot/%_liconsdir
ln -s %{_datadir}/pixmaps/gst-launch.png %buildroot/%_liconsdir
install -m 644 %SOURCE1 %buildroot/%_miconsdir/%name.png
install -m 644 %SOURCE2 %buildroot/%_miconsdir/gst-inspect.png
install -m 644 %SOURCE3 %buildroot/%_miconsdir/gst-launch.png
install -m 644 %SOURCE4 %buildroot/%_iconsdir/%name.png
install -m 644 %SOURCE5 %buildroot/%_iconsdir/gst-inspect.png
install -m 644 %SOURCE6 %buildroot/%_iconsdir/gst-launch.png
# clean unused files
rm -f %buildroot/%_libdir/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig
%post 
%update_menus
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi
%postun
%clean_menus
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi


%files
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README ChangeLog INSTALL COPYING
%{_bindir}/gst-editor
%{_bindir}/gst-launch-gui
%{_bindir}/gst-inspect-gui
%{_datadir}/gst-editor/
%{_datadir}/applications/gst-editor.desktop
%{_datadir}/applications/gst-inspect.desktop
%{_datadir}/applications/gst-launch.desktop
%{_datadir}/pixmaps/gst-editor.png
%{_datadir}/pixmaps/gst-inspect.png
%{_datadir}/pixmaps/gst-launch.png
%dir %{_datadir}/omf/gst-editor
%{_datadir}/omf/gst-editor/gst-editor-manual-C.omf
%{_mandir}/man1/gst-editor.*
%{_mandir}/man1/gst-inspect-gui.*
%{_mandir}/man1/gst-launch-gui.*
%_menudir/%name
%_liconsdir/*png
%_iconsdir/*png
%_miconsdir/*png

%files -n %libname
%defattr(-, root, root)
%{_libdir}/libgstdebugui.so.*
%{_libdir}/libgsteditor.so.*
%{_libdir}/libgstelementbrowser.so.*
%{_libdir}/libgstelementui.so.*

%files -n %libname-devel
%defattr(-, root, root)
%dir %{_includedir}/%name-%version/
%dir %{_includedir}/%name-%version/gst/
%dir %{_includedir}/%name-%version/gst/editor
%dir %{_includedir}/%name-%version/gst/debug-ui/
%dir %{_includedir}/%name-%version/gst/element-browser
%dir %{_includedir}/%name-%version/gst/element-ui
%{_includedir}/%name-%version/gst/debug-ui/debug-ui.h
%{_includedir}/%name-%version/gst/editor/*.h
%{_includedir}/%name-%version/gst/element-browser/*.h
%{_includedir}/%name-%version/gst/element-ui/*
%{_libdir}/libgstdebugui.so
%{_libdir}/libgsteditor.so
%{_libdir}/libgstelementbrowser.so
%{_libdir}/libgstelementui.so
%{_libdir}/libgstdebugui.a
%{_libdir}/libgsteditor.a
%{_libdir}/libgstelementbrowser.a
%{_libdir}/libgstelementui.a

%changelog
* Fri Jul 11 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.5.0-3mdk
- rebuild for new rpm

* Fri May  2 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.5.0-2mdk
- fix directory ownership

* Tue Mar 18 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.5.0-1mdk
- spec cleanup
- drop patch
- new version

* Sun Feb  2 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.2.0-8mdk
- update patch for new gstreamer

* Thu Jan 23 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.2.0-7mdk
- mklibname macro
- rebuild against latest gstreamer

* Thu Jan 16 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.2.0-6mdk
- rebuild against new ssl

* Tue Jan  7 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.2.0-5mdk
- rebuild against latest gstreamer

* Fri Dec 27 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.2.0-4mdk
- rebuild

* Thu Dec 12 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.2.0-3mdk
- build patch for new gstreamer
- fix requires of devel package

* Wed Nov 13 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.2.0-2mdk
- fix post scripts
- clean unused files after installation
- add missing files

* Tue Nov  5 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.2.0-1mdk
- initial Mandrake package

* Sun Sep 22 2002 Thomas Vander Stichele <thomas@apestaart.org>
- updated requires and buildrequires

* Sat Sep 21 2002 Christian Fredrik Kalager Schaller <Uraeus@linuxrising.org>
- Added desktop file and icon for gst-editor

* Mon May 11 2002 Christian Fredrik Kalager Schaller <Uraeus@linuxrising.org>
- Cleaned up SPEC file some more
- Added devel package

* Mon Apr 22 2002 Thomas Vander Stichele <thomas@apestaart.org>
- Cleaned up description
- Added gst-inspect-gui

* Sat Dec 29 2001 Rodney Dawes <dobey@free.fr>
- Cleaned up the spec file for the gstreamer core/plug-ins split
- Improve spec file
